The ZMQContext class

- « ZMQ::__construct

- ZMQContext::__construct »

- PHP Manual
- 0MQ messaging
- The ZMQContext class

# The ZMQContext class

(PECL zmq >= 0.5.0)

## Introduction

## Class synopsis

class ZMQContext {
/* Methods */
public __construct(int `$io_threads` = 1, bool `$is_persistent` = `true`)
public getOpt(string `$key`): mixed
public getSocket(int `$type`, string `$persistent_id` = `null`, callable `$on_new_socket` = `null`): ZMQSocket
public isPersistent(): bool
public setOpt(int `$key`, mixed `$value`): ZMQContext
}

## Table of Contents

- ZMQContext::__construct — Construct a new ZMQContext object
- ZMQContext::getOpt — Get context option
- ZMQContext::getSocket — Create a new socket
- ZMQContext::isPersistent — Whether the context is persistent
- ZMQContext::setOpt — Set a socket option